{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title>{% block title %}BelleD'Luxe{% endblock title %}</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>

</head>
<body>
    <style>

        #navegador{
        
                    list-style-type: none;
                    border: 1px solid rgb(20, 20, 20);

        }
        </style>

    <!-- barra de navegacion  -->
    <nav id="navegador" class="navbar navbar-expand-lg">
        <div class="container-fluid">
            <a href="{% url 'home:inicio' %}" class = navbar-brand> <img src="{% static 'imagenes/logonegro.png' %}" alt="" weight="80px" height="40px"></a>    
            
            
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>          
            

        </div>
        <div class="collapse navbar-collapse" id="navbarSupportedContent" >
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">    
                
                <li class="nav-item dropdown">

                    
                    <!-- inicio de opciones de perfil -->
                    <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false"><i class="bi bi-person" style="font-size: 150%; color: black;"></i></a>
                    <ul class="dropdown-menu">
                        {% if request.user.is_authenticated %}
                            <li><a class="dropdown-item" href="{% url 'carrito:pedidos' %}">Pedidos</a></li>

                            {% if request.user.is_staff %}
                            <li><a class="dropdown-item" href="{% url 'core:adm' %}">Admin</a></li>
                            {% else %}
                            <li><a class="dropdown-item" href="{% url 'home:perfil' request.user.pk %}">Perfil</a></li>
                          

                            {% endif %}
                            <li><hr class="dropdown-divider"></li> 
                            <li><a class="dropdown-item" href="{% url 'home:cierre' %}">Cerrar sesión</a></li>
                        {% else %}
                            <li><a class="dropdown-item" href="{% url 'home:acceso' %}">Iniciar sesión</a></li>
                            <li><a class="dropdown-item" href="{% url 'home:registro' %}">Crear una cuenta</a></li>
                        {% endif %}
                    </ul>
                    <!-- Fin de opciones de perfil-->


                    <!-- insertar espacio  -->
                    <li style="padding-right: 2rem">
                    </li>


                    <!-- INICIO ICONO DEL CARRITOOOO -->
                    <li class="nav-item" style="padding-right: 3rem" >
                        <a class="nav-link active" aria-current="page" href="{% url 'carrito:order' %}">  
                        
                        {% with total_qty=carrito|length %}
                            <div id="carrito-qty" class="d-inline-flex">
                                {% if total_qty > 0 %}
                                    {{ total_qty }}
                                {% else %}
                                    0
                                {% endif %}
                            </div>
                        {% endwith %} 

                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                            class="bi bi-cart3" viewBox="0 0 16 16">
                            <path
                                d="M0 1.5A.5.5 0 0 1 .5 1H2a.5.5 0 0 1 .485.379L2.89 3H14.5a.5.5 0 0 1 .49.598l-1 5a.5.5 0 0 1-.465.401l-9.397.472L4.415 11H13a.5.5 0 0 1 0 1H4a.5.5 0 0 1-.491-.408L2.01 3.607 1.61 2H.5a.5.5 0 0 1-.5-.5zM3.102 4l.84 4.479 9.144-.459L13.89 4H3.102zM5 12a2 2 0 1 0 0 4 2 2 0 0 0 0-4zm7 0a2 2 0 1 0 0 4 2 2 0 0 0 0-4zm-7 1a1 1 0 1 1 0 2 1 1 0 0 1 0-2zm7 0a1 1 0 1 1 0 2 1 1 0 0 1 0-2z" />
                        </svg>
                        </a>
                    </li>
                    <!-- FIN ICONO DEL CARRITOO -->



                    <!-- inicio de opciones de busqueda -->
                    <!-- <form class="container-fluid" method="GET" action="{% url 'tienda:busqueda' %}">    
                        <div class="input-group">
                          <input type="text" class="form-control" placeholder="" aria-label="Buscar" aria-describedby="basic-addon1" name="b">
                          <span class="input-group-text" id="basic-addon1"> 
                                <button class="btn btn-default my-2 my-sm-0" type = "button">
                                    <i class="bi bi-search"></i>
                                </button> 
                            </span>
                        </div>
                    </form>   -->
                    <!-- fin de opciones de busqueda -->
         
                </li>  

            </ul> 
        </div>

    </nav>




      {% block content %}
    
      {% endblock content %}
      <div class="position-absolute top-100 start-50 translate-middle"><p> </p></div>
      <!-- Grid container -->
      <div class="container pt-4 text-center">



        <!-- Section: Social media -->
        <section class="mb-4">
          <!-- Facebook -->
          <a
            class="btn btn-link btn-floating btn-lg text-dark m-1"
            href="https://www.facebook.com/belleedeluxe"
            role="button"
            data-mdb-ripple-color="dark"
            ><i class="bi bi-facebook" style="font-size: 100%; color: white;" ></i></a>
    
          <!-- Google -->
          <a
            class="btn btn-link btn-floating btn-lg text-dark m-1"
            href="https://www.google.com/search?q=belle+de+luxe+tijuana&sca_esv=573670241&biw=1920&bih=937&tbm=lcl&ei=tY0sZb_JKd_UkPIP4OuFqAM&ved=0ahUKEwj_98WqsfmBAxVfKkQIHeB1ATUQ4dUDCAk&uact=5&oq=belle+de+luxe+tijuana&gs_lp=Eg1nd3Mtd2l6LWxvY2FsIhViZWxsZSBkZSBsdXhlIHRpanVhbmEyChAhGKABGMMEGApI_hBQkw1Ykw1wAHgAkAEAmAGTAaAB2gKqAQMxLjK4AQPIAQD4AQHCAgUQABiiBMICCBAAGIkFGKIEiAYB&sclient=gws-wiz-local#rlfi=hd:;si:;mv:[[32.52364412063617,-116.93859226079246],[32.49498109755391,-117.00296527714988]]"
            role="button"
            data-mdb-ripple-color="dark"
            ><i class="bi bi-google" style="font-size: 100%; color: white;"></i
          ></a>
    
          <!-- Instagram -->
          <a
            class="btn btn-link btn-floating btn-lg text-dark m-1"
            href="https://www.instagram.com/belleedeluxe/"
            role="button"
            data-mdb-ripple-color="dark"
            ><i class="bi bi-instagram" style="font-size: 100%; color: white;" ></i></a>


            <!-- Tiktok -->
            <a
            class="btn btn-link btn-floating btn-lg text-dark m-1"
            href="https://www.tiktok.com/@belleedeluxe"
            role="button"
            data-mdb-ripple-color="dark"
            ><i class="bi bi-tiktok" style="font-size: 100%; color: white;" ></i></a>
        </section>
        <!-- Section: Social media -->

        

    </div>
      <!-- Grid container -->
    
      <!-- Copyright -->
      <div class="text-center text-white p-3 fixed" style="background-color: #2b2b2b;;">
        <ul class="list-inline">
            <li class="list-inline-item">            @belledeluxe Baja California Norte, México             </li>
            <li class="list-inline-item"></li>

          </ul>              
      </div>
      <!-- Copyright -->
    


      <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>    
</body>
</html>